2015-02-26 08:12  llundin

	* [r170779] recipes/naco_img_zpoint.c:
	  naco_img_zpoint_reduce_one(): rename ima to self.
	  naco_img_zpoint_reduce(): Improve msgs, rm dead code

2015-02-25 16:55  llundin

	* [r170740] recipes/naco_img_twflat.c: naco_img_twflat_threshold():
	  Added

2015-02-25 09:34  llundin

	* [r170700] recipes/naco_img_zpoint.c: naco_img_zpoint_reduce():
	  Ignore negative flat-pixels, recover from failed Strehl

2015-01-30 08:58  llundin

	* [r169582] doxygen/Doxyfile.in: doxygen -u

2015-01-07 10:11  llundin

	* [r168903] configure.ac: Revert eso strcit to ESO_PROG_CC_FLAG:
	  std=c99

2014-12-18 09:16  llundin

	* [r168729] recipes/naco_img_jitter.c: naco_img_jitter_saa_lucky():
	  Fix const-cast warning. naco_img_jitter_find_strehl(): rm unused
	  vars. naco_img_jitter_saa_center(): Reduce var scope

2014-12-02 13:37  llundin

	* [r168104] configure.ac: AC_CONFIG_SUBDIRS([hdrl]) replaces hdrl
	  subdirs in AC_CONFIG_FILES()

2014-09-18 08:14  llundin

	* [r165560] naco/naco_strehl.c: naco_strehl_compute(): Ignore
	  suspicious HDRL strehl

2014-09-17 14:01  llundin

	* [r165525] recipes/naco_img_checkfocus.c,
	  recipes/naco_img_jitter.c, recipes/naco_img_zpoint.c: Call naco
	  strehl

2014-09-16 16:01  llundin

	* [r165491] naco/Makefile.am, naco/naco_strehl.c,
	  naco/naco_strehl.h, recipes/naco_img_strehl.c: naco_strehl added

2014-09-16 13:06  llundin

	* [r165462] naco/naco_spc.c: Clean up includes

2014-09-16 07:54  llundin

	* [r165438] recipes/tests/Makefile.am: Enable HDRL strehl
	  conditionally (also for unit testing)

2014-09-15 13:52  jtaylor

	* [r165414] recipes/naco_img_strehl.c: update hdrl strehl usage to
	  new interface with result struct

2014-09-12 15:11  llundin

	* [r165372] recipes/naco_img_strehl.c: naco_strehl_compute(): drop
	  HDRL error for now, Fix units of lengths

2014-09-12 13:04  llundin

	* [r165362] acinclude.m4, recipes/Makefile.am,
	  recipes/naco_img_strehl.c: Enable HDRL strehl conditionally

2014-09-10 11:47  llundin

	* [r165297] configure.ac: Revert C99, revert silent rules

2014-09-10 08:28  llundin

	* [r165288] configure.ac: AC_PROG_CC_C99 replaces std=c99

2014-09-10 08:11  llundin

	* [r165287] configure.ac: ESO_PROG_CC_FLAG: std=c99 Wall
	  Werror=implicit-function-declaration

2014-09-08 14:57  llundin

	* [r165173] ., Makefile.am, configure.ac, m4macros/hdrl.m4: Added
	  HDRL (from trunk)

2014-07-14 19:04  llundin

	* [r163139] naco/Makefile.am, naco/tests/Makefile.am,
	  recipes/Makefile.am, recipes/tests/Makefile.am: AM_CPPFLAGS:
	  Replaces INCLUDES

2014-07-14 18:59  llundin

	* [r163138] configure.ac: Use AC_CONFIG_MACRO_DIR(), m4_ifdef()

2014-02-17 15:00  llundin

	* [r157065] configure.ac: 4.3.3 => 4.3.4

2014-01-16 12:53  llundin

	* [r155801] recipes/naco_spc_wavecal.c: naco_spc_wavecal_save():
	  Add EXTNAME to extension headers

2014-01-14 15:00  llundin

	* [r155745] recipes/naco_spc_combine.c: naco_spc_combine_save():
	  Set EXTNAME in extension headers

2013-12-02 13:00  llundin

	* [r154556] recipes/naco_img_jitter.c: Drop support for CPL pre 5.2

2013-12-02 09:39  llundin

	* [r154533] recipes/naco_spc_wavecal.c: cpl_polynomial_subtract()
	  replaces irplib_polynomial_subtract()

2013-11-15 08:04  llundin

	* [r153749] naco/Makefile.am, naco/irplib_pfits.c,
	  naco/irplib_tools.h, naco/naco_dfs.c, naco/naco_parameter.c,
	  naco/naco_utils.h, recipes/naco_img_checkfocus.c,
	  recipes/naco_img_jitter.c, recipes/naco_img_strehl.c,
	  recipes/naco_img_zpoint.c, recipes/naco_recipe.h:
	  irplib_strehl.h: IRPLIB_STREHL_STAR_RADIUS, IRPLIB_STREHL_M1,
	  IRPLIB_STREHL_M2, ...

2013-10-26 15:50  mpruemm

	* [r152138] ., naco_reg: Create proper structure.

2013-03-12 08:06  llundin

	* [r145667] Update license info: new FSF address

2013-03-11 13:22  llundin

	* [r145650] Target (install-)doxygen replaces ditto html

2013-03-07 14:53  llundin

	* [r145528] 4.3.2 => 4.3.3

2013-03-07 13:32  llundin

	* [r145490] cpl.m4/eso.m4: Copied from CPL. GSL_CHECK_LIBS replaces
	  LIB_CHECK_GSL (thanks to JTaylor). AC_CONFIG_HEADERS replaces
	  obsolete AM_CONFIG_HEADER

2012-09-25 12:41  llundin

	* [r139686] rm --with-gsl (rely on GSLDIR). rm unused
	  --disable-fitsio

2012-09-06 08:29  llundin

	* [r139208] irplib_base_spectrum_model(): Redeclare cost counters
	  to cpl_size

2012-08-24 09:24  llundin

	* [r138845] DFS11932: NACO_IMG_DARK_AVG replaces NACO_CAL_DARK

2012-08-24 07:21  llundin

	* [r138844] DFS11932: MASTER_IMG_FLAT_BADPIX replaces BPM

2012-08-24 07:10  llundin

	* [r138842] DFS11932: NACO_CAL_DARK replaces NACO_IMG_DARK_AVG +
	  DARK

2012-08-03 21:06  llundin

	* [r138277] irplib_base_spectrum_model(): Redeclare cost counters
	  to cpl_size

2012-04-26 08:33  llundin

	* [r134844] 4.3.0 => 4.3.1

2012-01-25 14:59  llundin

	* [r131001] 4.3.0

2012-01-11 09:42  llundin

	* [r130175] Drop support for CPL_RECIPE_DEFINE() (pre CPL 5.3)

2012-01-11 08:45  llundin

	* [r130173] cpl_recipe_define() replaces CPL_RECIPE_DEFINE()

2012-01-09 10:12  llundin

	* [r130110] TEMPORARY SUPPORT OF CPL 5.X (bis), reorder includes

2012-01-09 10:11  llundin

	* [r130109] TEMPORARY SUPPORT OF CPL 5.X, reorder includes

2011-12-22 11:21  llundin

	* [r129855] cpl_size format warnings

2011-12-22 11:12  llundin

	* [r129853] cpl_size

2011-11-18 09:05  llundin

	* [r128515] --save_cube added

2011-11-18 08:49  llundin

	* [r128513] naco_img_jitter_reduce(): objimages is passed and
	  filled

2011-11-18 08:07  llundin

	* [r128508] Use cpl_plot instead of irplib_plot

2011-11-17 10:44  llundin

	* [r128473] rm naco_img_lingain

2011-11-11 13:36  llundin

	* [r128282] rm irplib_plot.h

2011-03-09 15:44  llundin

	* [r120347] 4.2.3

2011-03-03 14:38  llundin

	* [r120073] 4.2.2

2010-06-29 12:04  llundin

	* [r111282] Changes per
	  https://websqa.hq.eso.org/sdd/bin/view/Pipeline/NewInstallationDirectories
	  (tris)

2010-06-25 15:29  llundin

	* [r111243] Changes per
	  https://websqa.hq.eso.org/sdd/bin/view/Pipeline/NewInstallationDirectories
	  (bis)

2010-06-25 08:49  llundin

	* [r111218] Changes per
	  https://websqa.hq.eso.org/sdd/bin/view/Pipeline/NewInstallationDirectories

2010-06-10 13:07  llundin

	* [r110647] Changes per
	  https://websqa.hq.eso.org/sdd/bin/view/Pipeline/NewInstallationDirectories

2010-05-06 12:16  llundin

	* [r109293] COADDED_CUBE_IMG (DFS08750)

2010-05-05 16:02  llundin

	* [r109276] Use cpl_mask_filter() with CPL 5.2

2010-05-05 12:48  llundin

	* [r109252] Undo previous edit

2010-05-05 12:47  llundin

	* [r109251] naco_img_jitter_reduce(): Draft of two-pass reduction

2010-03-12 15:36  llundin

	* [r107246] naco_img_jitter_do_cube(): Mean and stdev of medians of
	  sky estimates (DFS08549)

2010-03-12 14:53  llundin

	* [r107226] 4.2.1

2010-03-12 10:51  llundin

	* [r107172] 4.2.0

2010-03-04 15:57  llundin

	* [r106844] ifdef NACO_SAVE_PAF guards cpl_dfs_save_paf()

2010-03-02 15:29  llundin

	* [r106704] CPL_DFS_PRO_CATG appended to PAF (DFS05824)

2010-03-02 15:21  llundin

	* [r106702] CPL_DFS_PRO_CATG appended to PAF (DFS05824);
	  naco_img_lampflat_reduce(): Fix double free on error

2010-03-02 15:12  llundin

	* [r106699] Save propertylist as FITS w. PRO.CATG (DFS05824)

2010-03-02 13:54  llundin

	* [r106688] 4.1.3

2009-11-19 19:59  llundin

	* [r103070] naco_img_jitter_find_strehl(): Recover from faliure
	  (bis)

2009-11-19 17:09  llundin

	* [r103058] naco_img_jitter_find_strehl(): Recover from failure

2009-11-19 16:26  llundin

	* [r103056] naco_img_jitter_saa_center(): Added.
	  naco_img_jitter_saa_lucky(): Use naco_img_jitter_saa_center()

2009-11-19 00:39  llundin

	* [r103031] naco_img_jitter_saa_lucky(): Improve sort via
	  cpl_table_sort()

2009-11-18 22:57  llundin

	* [r103030] naco_img_jitter_combine_cube(): rm dead code

2009-11-18 22:28  llundin

	* [r103029] naco_img_jitter_find_strehl(): Added.
	  naco_img_jitter_reduce(): Use naco_img_jitter_find_strehl() on
	  all frames

2009-11-18 20:55  llundin

	* [r103021] naco_img_jitter_combine_cube(): Draft combined strehl

2009-11-18 19:19  llundin

	* [r103019] --lucky

2009-11-18 18:52  llundin

	* [r103018] naco_img_jitter_saa_lucky(): Draft

2009-11-18 01:18  llundin

	* [r103001] NACO_PARAM_CUBEMODE: Added

2009-11-17 21:35  llundin

	* [r103000] naco_img_jitter_combine_cube(): Join PSF Peak/Flux

2009-11-17 20:12  llundin

	* [r102999] naco_img_jitter_find_sky_cube(): Fix aliasing bug

2009-11-17 19:20  llundin

	* [r102998] NACO_PARAM_SKYPLANE: Added. NACO_PARAMETER_SET():
	  Improve error checking

2009-11-17 18:20  llundin

	* [r102997] naco_img_jitter_combine_cube(): debug msg.
	  naco_img_jitter_find_sky_cube(): nmedian=25.
	  naco_img_jitter_find_sky_cube(): Fix fillbpm bug, add error
	  checks

2009-11-16 21:34  llundin

	* [r102944] Replace strehl-params w. defines, reduce defaults by
	  factor 2

2009-11-16 20:21  llundin

	* [r102940] naco_img_jitter_reject_objects(): Use also low-sigma

2009-11-16 18:02  llundin

	* [r102939] naco_img_jitter_save(): guard on table save, EXTNAME

2009-11-16 13:44  llundin

	* [r102930] naco_img_jitter_do_cube(): msg skymedian

2009-11-16 02:19  llundin

	* [r102917] naco_img_jitter_combine_cube(): Minor clean-up

2009-11-16 02:05  llundin

	* [r102916] cubetable

2009-11-15 23:03  llundin

	* [r102915] naco_img_jitter_combine_cube(): pos_x, pos_y

2009-11-15 21:43  llundin

	* [r102914] Default combine method: union

2009-11-15 21:40  llundin

	* [r102913] NACO_PARAM_COMBINE: Added. Deprecate NACO_PARAM_UNION.
	  Drop WCS on resizing

2009-11-15 19:53  llundin

	* [r102912] Rm dead code, clean-up

2009-11-15 19:19  llundin

	* [r102911] naco_img_jitter_find_sky_cube(): Improve messaging

2009-11-15 19:10  llundin

	* [r102910] naco_img_jitter_find_sky_cube(): Fill object pixels
	  with sky-pixels from object image,
	  naco_img_jitter_reject_objects()

2009-11-15 16:54  llundin

	* [r102908] naco_img_jitter_do_cube():
	  naco_img_jitter_find_sky_cube() replaces
	  naco_img_jitter_find_sky_first(). EXT0 replaces extnum

2009-11-15 15:11  llundin

	* [r102904] QC BACKGD STDEV

2009-11-15 15:00  llundin

	* [r102903] naco_img_jitter_reduce(): Avoid image wrap on pure
	  nocube

2009-11-15 14:50  llundin

	* [r102902] naco_img_jitter_reduce(): Try to handle mix of cube and
	  nocube, mv original sky code to nocube branch

2009-11-15 02:04  llundin

	* [r102900] naco_img_jitter_combine_cube(): Drop
	  cpl_geom_img_offset_combine()

2009-11-15 01:36  llundin

	* [r102899] naco_img_jitter_combine_cube(): Draft w.
	  cpl_geom_img_offset_saa()

2009-11-15 00:05  llundin

	* [r102898] naco_img_jitter_combine_cube(): Use either
	  cpl_imagelist_collapse_create(), or draft with
	  cpl_geom_img_offset_combine()

2009-11-14 20:41  llundin

	* [r102897] naco_img_jitter_combine_cube(): Take sky-corrected cube

2009-11-14 20:27  llundin

	* [r102896] naco_img_jitter_combine_cube()

2009-11-14 18:38  llundin

	* [r102895] naco_img_jitter_do_cube(): Added

2009-11-14 17:31  llundin

	* [r102894] naco_img_jitter_reduce(): naco_img_jitter_find_sky()
	  replaces naco_img_jitter_subtract_sky()

2009-11-14 17:12  llundin

	* [r102893] naco_img_jitter_load_objimages(): Load only cube-sum
	  image

2009-11-14 16:27  llundin

	* [r102892] naco_img_jitter_load_objimages(): Real cube mode has at
	  least two frames + sum

2009-11-14 15:42  llundin

	* [r102891] Disable strehl params

2009-11-14 15:37  llundin

	* [r102890] naco_img_jitter_load_objimages(): CPL_TYPE_FLOAT
	  replaces CPL_TYPE_UNSPECIFIED

2009-11-14 14:47  llundin

	* [r102889] naco_img_jitter_load_objimages(): Detect CUBE via
	  NAXIS3. rm dead bpm code. naco_img_jitter_check_cube(): Added

2009-11-14 14:00  llundin

	* [r102888] naco_img_jitter_load_objimages(): Disable strehl,
	  handle final cube-frame

2009-11-13 18:09  llundin

	* [r102886] NACO_PFITS_REGEXP_JITTER_ALL/FIRST: OPTI+DPR

2009-11-10 09:53  llundin

	* [r102738] naco_img_jitter_find_strehl(): Fix uninit warning

2009-10-21 14:51  llundin

	* [r102104] irplib_line_spectrum_model: erftmp added

2009-10-13 08:05  llundin

	* [r101825] naco_get_filter_infos(): Mew filter IB_4.05 (sidth 100)

2009-10-13 07:42  llundin

	* [r101822] naco_get_filter_infos(), naco_get_bbfilter(): Mew
	  filter IB_4.05

2009-08-11 11:48  llundin

	* [r99830] naco_img_jitter_init_strehl(): Added

2009-08-11 09:00  llundin

	* [r99827] naco_img_jitter_find_strehl():Added

2009-08-07 15:29  llundin

	* [r99790] naco_img_jitter_load_objimages()

2009-07-28 09:12  llundin

	* [r99317] NACO_PARAM_OFFSETS: Improve documentation

2009-07-14 13:37  llundin

	* [r98917] irplib_polynomial_shift_1d_from_correlation(): Return
	  *pxc

2009-07-03 10:18  llundin

	* [r98501] 4.2.2

2009-05-27 11:48  llundin

	* [r97147] Added tags for various recipes

2009-05-27 11:38  llundin

	* [r97145] tags[]: "IMG_STD_CATALOG" appended

2009-05-12 12:56  llundin

	* [r96548] Drop support for CPL 4.X

2009-05-12 12:43  llundin

	* [r96533] cpl_plot replaces irplib_plot

2009-05-10 20:16  llundin

	* [r96381] irplib_wcs_great_circle_dist() replaces
	  irplib_stdstar_great_circle_dist()

2009-03-10 10:14  llundin

	* [r93529] NACO_RECIPE_DEFINE() replaces CPL_RECIPE_DEFINE.
	  naco_img_jitter_fill_parameterlist(): Drop.
	  naco_img_jitter_config: Drop. Add PRO.CATG to PAF

2009-03-10 10:12  llundin

	* [r93528] Support img jitter params

2009-03-10 10:11  llundin

	* [r93526] 4.1.0 -> 4.1.1. Require 64 bit long long

2009-02-23 13:05  llundin

	* [r92733] Changes up to 2008-07-24

2009-02-23 08:11  llundin

	* [r92678] naco_spc_wavecal_reduce(): Dump central 1D dispersion

2009-02-19 15:43  llundin

	* [r92494] naco_img_zpoint_load_std_star(): dec <-> ra in err msg

2009-02-19 15:15  llundin

	* [r92491] naco_img_checkfocus(): Error check on fit

2009-02-19 14:44  llundin

	* [r92483] naco_img_zpoint_load_std_star(): Drop too-soon table
	  erase on error (bis)

2009-02-19 14:32  llundin

	* [r92482] naco_img_checkfocus(): Use cpl_polynomial_fit()

2009-02-19 14:31  llundin

	* [r92481] naco_img_zpoint_load_std_star(): Drop too-soon table
	  erase on error

2009-02-19 08:35  llundin

	* [r92460] 4.1.0

2009-02-18 09:19  llundin

	* [r92392] naco_img_zpoint_load_std_star(): Fix uninit warning

2009-01-29 08:56  llundin

	* [r91518] irplib_dfs_save_*(): Added - works with both CPL 4.X and
	  CPL 5.X

2009-01-23 10:48  llundin

	* [r91347] irplib_polynomial_shift_1d(): Deprecated. Update calls
	  to cpl_polynomial_shift_1d()

2009-01-21 10:22  llundin

	* [r91221] naco_spc_combine(): Support new API for
	  cpl_geom_img_offset_saa()

2008-11-07 17:10  llundin

	* [r89178] irplib_line_spectrum_model: Added cost counter

2008-11-07 16:53  llundin

	* [r89176] irplib_polynomial_tabulate(): Dropped

2008-11-05 15:45  llundin

	* [r89094] irplib_line_spectrum_model: Drop const modifiers and add
	  non-const linepix member.
	  irplib_vector_fill_line_spectrum_model(): Add param linepix.
	  naco_spc_wavecal_1d(): Use linepix

2008-11-05 10:02  llundin

	* [r89078] naco_img_zpoint_reduce(): Add err-msg with
	  naco_pfits_get_object(). naco_img_zpoint_find_mag(): Add (RA,DEC)
	  to err-msg

2008-11-05 09:59  llundin

	* [r89077] naco_pfits_get_object(), NACO_PFITS_STRING_OBJECT: Added

2008-11-04 16:03  llundin

	* [r89056] naco_img_zpoint_load_std_star(): Extend messaging

2008-11-04 14:55  llundin

	* [r89046] naco_img_zpoint_load_std_star(): Move bug_if()

2008-10-27 13:43  llundin

	* [r88649] irplib_polynomial_tabulate(), static
	  irplib_polynomial_dump_corr_step(): Added

2008-09-12 11:46  llundin

	* [r87072] 4.0.1

2008-09-12 11:12  llundin

	* [r87068] naco_spc_combine_qc(): Compute QC FILTER OBS

2008-09-12 11:11  llundin

	* [r87067] NACO_PFITS_REGEXP_SPC_COMBINE_PAF:
	  NACO_PFITS_STRING_OPTI{4,5,6} loaded for QC FILTER OBS

2008-09-12 09:17  llundin

	* [r87059] naco_framelist_fill_onoff_offset(): Moved to
	  naco_spc_combine.c

2008-09-11 09:40  llundin

	* [r86969] naco_spc_wavecal_1d(): Propagate error when no columns
	  could be calibrated

2008-09-11 08:44  llundin

	* [r86960] naco_spc_combine(): No unused raw frames allowed

2008-09-08 10:53  llundin

	* [r86774] NACO_PFITS_REGEXP_ZPOINT: Add
	  NACO_PFITS_DOUBLE_AIRMASS_START

2008-08-22 16:01  llundin

	* [r86171] NACO_PFITS_REGEXP_SPC_COMBINE_PAF: Load
	  IRPLIB_PFITS_REGEXP_PAF

2008-08-22 14:42  llundin

	* [r86164] --with-gsl=$VLTSW_ROOTDIR/$VLTSW_RELEASE/gnu

2008-08-22 11:46  llundin

	* [r86153] naco_img_lingain(): "ESO PRO CATG" replaces
	  CPL_DFS_PRO_CATG (from CPL 4.2)

2008-08-22 11:06  llundin

	* [r86146] 4.0.0, drop erf() checks

2008-08-21 13:22  llundin

	* [r86125] naco_img_lingain(): CPL_DFS_PRO_CATG, replaces
	  "PRO.CATG"

2008-08-21 11:57  llundin

	* [r86119] Take optional flat image

2008-08-20 13:58  llundin

	* [r86059] Fix --enable-strict so it works, and so -std=c99 is used
	  when it is disabled

2008-08-20 13:53  llundin

	* [r86057] Check for erf()

2008-08-20 11:56  llundin

	* [r86052] naco_spc_lampflat_reduce(): Corrected spelling, SPECFLAT
	  replaces SPCFLAT

2008-08-20 09:21  llundin

	* [r86051] Enable naco_img_lingain with DO.CATG
	  CAL_LINGAIN_LAMP/CAL_LINGAIN_DARK

2008-08-19 09:50  llundin

	* [r86016] NACO_RECIPE_DEFINE(): man-page on products

2008-08-07 14:47  llundin

	* [r85643] AC_CHECK_LIB() on -lsocket and -lnsl dropped

2008-08-06 13:08  llundin

	* [r85565] naco_spc_wavecal_distortion(): Prep for fitdeg > 2

2008-08-06 09:08  llundin

	* [r85549] naco_spc_wavecal_distortion(): Recover from failure to
	  compute high-degree fix-points

2008-08-05 12:20  llundin

	* [r85518] naco_spc_wavecal_distortion(): Better messages about
	  fix-points

2008-08-01 14:38  llundin

	* [r85419] irplib_vector_fill_line_spectrum_model(): renamed from
	  irplib_vector_fill_line_spectrum().
	  irplib_vector_fill_line_spectrum(): Renamed from
	  irplib_vector_fill_spectrum()

2008-08-01 08:42  llundin

	* [r85395] naco_spc_wavecal_distortion(): Calls
	  naco_spc_wavecal_qc_lines() on uncorrected image

2008-07-30 12:35  llundin

	* [r85331] naco_spc_wavecal_qc_lines(): QC ARCS*, QC FWHM MED added

2008-07-30 11:41  llundin

	* [r85327] naco_spc_wavecal_reduce(): QC WLEN added

2008-07-30 11:22  llundin

	* [r85324] naco_spc_wavecal_distortion(): QC DIST* added

2008-07-30 10:57  llundin

	* [r85322] naco_spc_wavecal_distortion(): Reactivated, appe nd
	  corrected image

2008-07-30 08:37  llundin

	* [r85311] naco_spc_wavecal_interpolate_rejected(): Added

2008-07-30 07:46  llundin

	* [r85306] ESO QC DISP XCORR added

2008-07-29 13:03  llundin

	* [r85266] naco_spc_wavecal_count_lines(): Added

2008-07-29 11:39  llundin

	* [r85261] NACO_PFITS_REGEXP_SPCWAVE_PAF extended according to
	  isaacp (IRPLIB_PFITS_REGEXP_DPR)

2008-07-29 11:30  llundin

	* [r85260] NACO_PFITS_REGEXP_SPCWAVE_PAF extended according to
	  isaacp

2008-07-29 09:07  llundin

	* [r85250] naco_spc_wavecal_1d(): maxite reduced to 100 * fitdeg

2008-07-29 08:43  llundin

	* [r85239] Added irplib_wavecal with GSL-based wavelength
	  calibration

2008-07-28 07:36  llundin

	* [r85161] naco_spc_wavecal_fill_table(): DISP2D_%d_%d use as label

2008-07-22 14:34  llundin

	* [r84975] Save separate wavelength map with 2D-dispersion
	  polynomial

2008-07-22 14:34  llundin

	* [r84974] naco_polynomial_fit_2d_dispersion(): Use
	  cpl_polynomial_fit() when there

2008-07-22 13:08  llundin

	* [r84970] Define NACO_CALIB_ARC_MAP

2008-07-22 07:54  llundin

	* [r84946] Parsing of AR lines from NACO web page

2008-07-22 07:50  llundin

	* [r84945] Appended GSL_INCLUDES to INCLUDES

2008-07-15 11:01  llundin

	* [r84593] naco_spc_wavecal_1d(): Drop work-around in call to
	  irplib_polynomial_subtract()

2008-07-11 15:20  llundin

	* [r84500] Alternative Ar lines

2008-07-11 15:20  llundin

	* [r84499] Count zero-intensity lines

2008-07-11 15:12  llundin

	* [r84496] Improve messaging

2008-07-11 14:24  llundin

	* [r84495] naco_vector_fill_line_spectrum(): Ignore non-positive
	  catalogue lines

2008-07-11 14:03  llundin

	* [r84493] Parser for
	  http://www.eso.org/sci/facilities/paranal/instruments/naco/inst/atlas/index.html

2008-07-11 11:56  llundin

	* [r84465] naco_vector_fill_line_spectrum(): Improve error msg when
	  no lines

2008-07-10 14:35  llundin

	* [r84441] naco_spc_wavecal_get_slitw(): Convert from mas to pixel
	  using NACO_PFITS_DOUBLE_PIXSCALE. naco_spc_wavecal_1d(): Correct
	  xtrunc

2008-07-10 14:29  llundin

	* [r84437] NACO_PFITS_REGEXP_SPCWAVE: NACO_PFITS_DOUBLE_PIXSCALE
	  added

2008-07-10 14:06  llundin

	* [r84435] naco_polynomial_fit_2d_dispersion(),
	  naco_image_fill_column_from_dispersion(), naco_spc_wavecal_1d():
	  Reject non-correlating pixels

2008-07-10 13:13  llundin

	* [r84428] naco_polynomial_fit_2d_dispersion()

2008-07-09 12:20  llundin

	* [r84323] naco_polynomial_shift_1d_from_correlation(): Take filler

2008-07-09 11:42  llundin

	* [r84316] NACO_PARAMETER_SET(): CPL_PARAMETER_MODE_ENV

2008-07-09 07:17  llundin

	* [r84304] naco_spc_wavecal_1d(): Increase pixtol to 1e-5, use
	  plotstep

2008-07-09 07:07  llundin

	* [r84303] naco_arc_lamp: Extend with xtrunc, drop xtrunc from
	  relevant functions

2008-07-08 16:43  llundin

	* [r84301] naco_spc_wavecal_1d(): Use fitdeg = 4

2008-07-08 16:32  llundin

	* [r84300] naco_plot_spectrum_and_model(): Renamed from
	  naco_plot_spectrum_with_model

2008-07-08 16:30  llundin

	* [r84299] naco_plot_spectrum_with_model(): Add XC to title

2008-07-08 16:23  llundin

	* [r84298] naco_spc_wavecal_1d(): Use
	  naco_plot_spectrum_with_model(), Reduce pixel-tolerance

2008-07-08 16:15  llundin

	* [r84297] naco_plot_spectrum_with_model(): Added

2008-07-08 15:15  llundin

	* [r84293] Append 2D spectrum to product

2008-07-08 15:15  llundin

	* [r84290] naco_polynomial_shift_1d_from_correlation(): Add title
	  to plot

2008-07-08 13:30  llundin

	* [r84283] naco_polynomial_find_1d_from_correlation(): Fix memory
	  leak, print only once on convergence

2008-07-08 09:58  llundin

	* [r84277] naco_spc_wavecal_1d(): Use
	  naco_polynomial_find_1d_from_correlation()

2008-07-08 09:58  llundin

	* [r84276] naco_polynomial_find_1d_from_correlation: Added

2008-07-08 09:52  llundin

	* [r84275] LIB_CHECK_GSL to detect GSL and define HAVE_GSL

2008-07-07 11:43  llundin

	* [r84245] naco_spc_wavecal_1d(): Increase search range, use
	  irplib_vectors_plot()

2008-07-04 14:13  llundin

	* [r84211] naco_spc_wavecal_1d(): nresol=10

2008-07-04 13:18  llundin

	* [r84210] naco_spc_wavecal_1d(): Use
	  naco_polynomial_shift_1d_from_correlation()

2008-07-04 12:59  llundin

	* [r84203] naco_polynomial_shift_1d_from_correlation(): Added

2008-07-04 11:26  llundin

	* [r84188] naco_vector_correlate_imagelist_1d(): Fix (false) uninit
	  warnings

2008-07-04 11:21  llundin

	* [r84187] naco_vector_fill_line_spectrum(): Reuse two ERF
	  evaluations

2008-07-03 14:06  llundin

	* [r84144] naco_vector_fill_line_spectrum(): Fixed int-cast bug,
	  and improved variable names

2008-07-03 13:53  llundin

	* [r84143] naco_vector_fill_line_spectrum(): Added after two cases
	  of visual verification

2008-07-03 06:28  llundin

	* [r84085] naco_img_lingain(): API change of irplib_detmon_lg()

2008-06-13 09:45  llundin

	* [r83212] naco_spc_wavecal_1d(): Increase search-space, add some
	  diagsnostics on calibrated dispersion

2008-06-10 11:32  llundin

	* [r82942] New combine scheme (co-add both A-B and B-A)

2008-06-10 11:31  llundin

	* [r82941] naco_imagelist_append_invert(): Added.
	  naco_framelist_fill_onoff_offset(): the negative ones last

2008-05-29 13:33  llundin

	* [r82380] 4.0.0cvs

2008-05-27 14:00  llundin

	* [r82164] naco_img_jitter_save(): Append contribution map to
	  combined image

2008-05-09 14:01  cguirao

	* [r81469] Adding -dlclose-mode=2 on request from MZ

2008-04-23 01:43  llundin

	* [r80656] Use naco_imagelist_add_split(), Drop final 0-threshold,
	  Drop collapsed

2008-04-23 01:41  llundin

	* [r80655] naco_imagelist_add_split(): Added

2008-04-23 01:36  llundin

	* [r80654] stdout replaces stderr

2008-04-22 22:51  llundin

	* [r80653] Undo previous commit (naco_imagelist_split(): Reject
	  thresholded pixels)

2008-04-22 20:23  llundin

	* [r80651] naco_imagelist_split(): Reject thresholded pixels

2008-04-22 16:38  llundin

	* [r80650] Added msg on detector full range

2008-04-21 03:45  llundin

	* [r80549] NACO_PARAM_XTMIN/MAX

2008-04-21 03:15  llundin

	* [r80548] --save: NACO_PARAM_SAVE, NACO_SPC_NOD_SUBTRACT

2008-04-21 02:35  llundin

	* [r80547] Save offsets as table extension

2008-04-20 14:18  llundin

	* [r80528] Load IRPLIB_PFITS_WCS_REGEXP in 1st rawframes for
	  product. Add 1D-combine plots

2008-04-20 04:11  llundin

	* [r80527] Call cpl_geom_img_offset_saa(), and save contrib in
	  extension. Fix procatg

2008-04-20 04:09  llundin

	* [r80526] naco_vector_correlate_imagelist_1d(): Inverse signs

2008-04-20 04:06  llundin

	* [r80525] NACO_SPC_NOD_COMBINE: Added

2008-04-19 22:44  llundin

	* [r80523] naco_vector_correlate_imagelist_1d(): Update doxygen

2008-04-19 21:26  llundin

	* [r80522] naco_spc_combine(): Drop memset() for Y-offset

2008-04-19 21:26  llundin

	* [r80521] naco_framelist_fill_onoff_offset(): Support also
	  Y-offset

2008-04-19 21:19  llundin

	* [r80520] naco_vector_correlate_imagelist_1d(): Call also on
	  Y-offsets

2008-04-19 21:18  llundin

	* [r80519] naco_vector_correlate_imagelist_1d(): Add direction char
	  for msgs

2008-04-19 20:58  llundin

	* [r80518] naco_vector_correlate_imagelist_1d(): Add boolean for
	  direction, do just one direction

2008-04-19 20:18  llundin

	* [r80517] naco_vector_correlate_imagelist_1d(): Drop sorting, fill
	  offsetx with best of goffsetx and XC-offset

2008-04-19 18:49  llundin

	* [r80516] naco_vector_correlate_imagelist_1d(): Try to sort on the
	  X-offset

2008-04-19 04:42  llundin

	* [r80509] naco_vector_correlate_imagelist_1d(): Do on-frames
	  separately

2008-04-19 04:23  llundin

	* [r80508] naco_vector_correlate_imagelist_1d(): Added

2008-04-19 03:33  llundin

	* [r80507] naco_framelist_fill_onoff_offset(): Added

2008-04-19 02:31  llundin

	* [r80506] cpl_stats_new_from_image()

2008-04-19 02:31  llundin

	* [r80505] naco_imagelist_load_diff(): Check pairs with CUMSETOFF

2008-04-19 00:35  llundin

	* [r80504] naco_imagelist_move_all(): Drop. naco_imagelist_split():
	  Insert off-image right after on-image

2008-04-19 00:09  llundin

	* [r80503] Use naco_imagelist_split(), naco_imagelist_move_all()

2008-04-19 00:08  llundin

	* [r80502] naco_imagelist_move_all(), naco_imagelist_split(): Added

2008-04-18 15:00  llundin

	* [r80472] naco_framelist_get_state(): Add propty name to error msg

2008-04-18 03:26  llundin

	* [r80431] naco_spc_combine: Infrastructure in place

2008-04-18 03:26  llundin

	* [r80430] naco_imagelist_load_diff(): Generalize to work with e.q.
	  CUMOFFSETX

2008-04-18 03:18  llundin

	* [r80429] NACO_PFITS_REGEXP_SPC_COMBINE: Added

2008-04-18 00:25  llundin

	* [r80428] NACO_SPC_JITTER_RAW, NACO_SPC_JITTER_SKY,
	  NACO_SPC_NOD_RAW: Defined

2008-04-17 03:41  llundin

	* [r80344] naco_spc_wavecal_reduce(): Take --force to force CWLEN
	  correction

2008-04-17 01:59  llundin

	* [r80343] S27_4_SJ: 1st order is default

2008-04-17 01:22  llundin

	* [r80327] naco_util_spc_model_eval(): Added for <recipe>_set_row()

2008-04-16 04:41  llundin

	* [r80274] naco_spc_wavecal_1d(): Call cpl_wlcalib_xc_best_poly()

2008-04-16 03:22  llundin

	* [r80273] Mv naco_spc_wavecal-test to after naco_util_spc_*-test

2008-04-16 02:18  llundin

	* [r80272] naco_spc_wavecal_1d(): Draft

2008-04-16 01:43  llundin

	* [r80271] naco_spc_wavecal_get_slitw(): Added

2008-04-16 01:25  llundin

	* [r80270] NACO_SPC_MAN_MODESPLIT

2008-04-15 22:17  llundin

	* [r80269] naco_spc_wavecal_reduce(): Take bivector with AR lines

2008-04-15 20:53  llundin

	* [r80268] naco_spc_wavecal_distortion(): Plot distortion
	  correction

2008-04-15 20:23  llundin

	* [r80267] Use naco_imagelist_load_diff()

2008-04-15 20:21  llundin

	* [r80266] naco_imagelist_load_diff(): Added

2008-04-15 20:18  llundin

	* [r80265] Load both lamp-states for spc lampflat+wavecal

2008-04-15 17:04  llundin

	* [r80263] naco_spc.c defines naco_spc_make_tag()

2008-04-15 15:31  llundin

	* [r80258] <recipe>_set_row(): Use sring literal for format

2008-04-15 15:23  llundin

	* [r80257] -fno-builtin dropped

2008-04-15 14:53  llundin

	* [r80251] No science SOFs in CVS (yet)

2008-04-15 03:22  llundin

	* [r80238] S54_4_SJ: 1st order is default

2008-04-15 01:05  llundin

	* [r80237] naco_util_spc_argon_check(): Sort after wavelength

2008-04-15 00:55  llundin

	* [r80235] irplib_dfs_table_convert() takes check function with
	  non-const table

2008-04-15 00:22  llundin

	* [r80233] Recipe naco_util_spc_argon added

2008-04-15 00:20  llundin

	* [r80232] FITS_SVALUE_MAX: Dropped

2008-04-14 23:58  llundin

	* [r80231] naco_spc_wavecal(): Add model frame to used-frames

2008-04-14 23:56  llundin

	* [r80230] SPC_ARGON, SPC_ARGON_ASCII: Added.
	  naco_dfs_set_groups(): Ad NACO_SPC_MODEL

2008-04-14 19:54  llundin

	* [r80229] Use irplib_dfs_table_convert()

2008-04-14 18:29  llundin

	* [r80228] naco_util_img_std_cat_cmp(): Improve msg

2008-04-14 18:13  llundin

	* [r80226] irplib_table_read_from_frameset(),
	  irplib_dfs_table_convert(): table_set_row() is of type
	  cpl_boolean

2008-04-14 17:02  llundin

	* [r80221] Use irplib_dfs_table_convert()

2008-04-14 00:53  llundin

	* [r80176] #define NACO_SPC_MODEL_COLS 9

2008-04-13 22:12  llundin

	* [r80175] --man updated

2008-04-13 22:01  llundin

	* [r80174] NACO_PFITS_STRING_SLITNAME Added

2008-04-13 20:49  llundin

	* [r80173] Updated --man text

2008-04-13 20:35  llundin

	* [r80172] Lines starting with # are comments

2008-04-13 20:26  llundin

	* [r80170] Use fits file for parameters of physical model in
	  spectroscopy

2008-04-13 16:44  llundin

	* [r80169] Received from Chris Lidman on 2006-03-06

2008-04-13 16:06  llundin

	* [r80168] naco_spc_wavecal_reduce(): Threshold negative ADU, fix
	  nx/ny mix, msg on central wavelength, plot spec1d with
	  model-lambda

2008-04-13 16:03  llundin

	* [r80167] NACO_PFITS_DOUBLE_CWLEN Added

2008-04-13 03:57  llundin

	* [r80164] naco_spc_physdisp_transform(): Added

2008-04-12 23:17  llundin

	* [r80163] naco_phys_model[], naco_spc_physdisp_fill(): Added

2008-04-12 20:49  llundin

	* [r80162] Improved man-page

2008-04-12 20:31  llundin

	* [r80161] naco_spc_wavecal_distortion(): Added

2008-04-12 19:27  llundin

	* [r80160] naco_spc_wavecal_reduce(): Produce 1D-spectrum

2008-04-12 18:37  llundin

	* [r80159] naco_spc_*_load(): Verify SPECMODE

2008-04-12 18:28  llundin

	* [r80158] NACO_PFITS_STRING_SPECMODE, naco_spc_make_tag(): Added.
	  naco_pfits_get_lamp1(): Replaced with irplib_pfits call

2008-04-12 02:23  llundin

	* [r80149] naco_spc_wavecal_reduce(): Correct the line curvature

2008-04-11 23:51  llundin

	* [r80148] Plotting added

2008-04-11 23:50  llundin

	* [r80147] include irplib_plot.h

2008-04-11 22:53  llundin

	* [r80146] Drop AIRMASS code, PROCATG NACO_CALIB_ARC_DIFF, man text

2008-04-11 22:52  llundin

	* [r80145] NACO_CALIB_ARC_DIFF: Added

2008-04-11 22:47  llundin

	* [r80144] Drop airmass code

2008-04-11 22:46  llundin

	* [r80143] IRPLIB_PFITS_REGEXP_RECAL_LAMP: Added

2008-04-11 22:08  llundin

	* [r80142] Produce difference image

2008-04-11 22:07  llundin

	* [r80141] naco_dfs_set_groups(): NACO_SPC_LAMPWAVE_RAW)

2008-04-11 22:07  llundin

	* [r80140] naco_pfits_get_bool(), naco_pfits_get_lamp1(),
	  NACO_PFITS_REGEXP_SPCWAVE, NACO_PFITS_REGEXP_SPCWAVE_PAF,
	  NACO_PFITS_BOOL_LAMP1: Added

2008-04-11 22:06  llundin

	* [r80139] irplib_pfits_get_bool(): Added

2008-04-11 21:27  llundin

	* [r80138] naco_spc_wavecal added from naco_spc_lampflat

2008-04-11 20:21  llundin

	* [r80137] #defines for CAL_FLAT_SPEC, CAL_ARC_SPEC, CAL_NOD_SPEC,
	  SPEC_NODDING

2008-03-25 13:08  llundin

	* [r79371] Drop IRPLIB_CONCAT(), IRPLIB_CONCAT2X(). Define
	  IRPLIB_RECIPE_DEFINE as CPL_RECIPE_DEFINE. Define
	  irplib_get_license as cpl_get_license. Drop naco_get_license()

2008-03-25 12:56  llundin

	* [r79370] Drop #include "irplib_math_const.h"

2008-03-25 12:27  llundin

	* [r79367] Drop #include "irplib_math_const.h"

2008-03-25 11:12  llundin

	* [r79360] cpl_test.h replaces irplib_test.h

2008-03-25 10:26  llundin

	* [r79351] Use cpl_math module instead of irplib_math module

2008-03-25 10:12  llundin

	* [r79350] Use cpl_math module instead of irplib_math module

2008-03-20 15:30  llundin

	* [r79291] naco_spc_lampflat_load(): Added

2008-03-20 14:41  llundin

	* [r79288] naco_spc_lampflat_reduce(): Added ESO QC SPCFLAT
	  NCOUNTS, ESO QC SPCFLAT STDEV; get rej_bord from parlist

2008-03-20 12:59  llundin

	* [r79274] NACO_PFITS_REGEXP_SPCFLAT, NACO_PFITS_REGEXP_SPCFLAT_PAF

2008-03-20 10:21  llundin

	* [r79270] naco_spc_lampflat_reduce(): Use
	  cpl_imagelist_collapse_create()

2008-03-19 15:47  llundin

	* [r79236] naco_spc_lampflat_reduce(): Take hot/cold params, set
	  hot/cold pixels to 1

2008-03-19 14:47  llundin

	* [r79221] drop flux+gain. Form normalized difference images

2008-03-06 08:35  llundin

	* [r78641] Drop error recovery on a single setting

2008-03-05 09:52  llundin

	* [r78609] Modified img lampflat into spc_lampflat

2008-03-05 09:25  llundin

	* [r78608] naco_dfs_set_groups(): Added NACO_SPC_LAMPFLAT_RAW

2008-02-25 12:18  llundin

	* [r78114] 3.8.1

2008-02-20 14:57  llundin

	* [r77863] naco_img_lingain: Removed

2008-02-20 14:25  llundin

	* [r77862] clean-local: Added .logfile (*.log)

2008-02-20 14:15  llundin

	* [r77861] 3.8.0

2008-02-12 15:00  llundin

	* [r77500] naco_img_zpoint_find_std_star ( ) : 1st select call

2008-02-12 14:57  llundin

	* [r77499] Use IRPLIB_STRINGIFY instead of NACO_STRINGIFY (bis)

2008-02-11 15:19  llundin

	* [r77450] naco_img_zpoint_find_std_star(): Drop "all" as meta
	  catalog, Select on filter 1st, avoid _select_all

2008-02-11 12:20  llundin

	* [r77445] Use error_if()

2008-02-11 12:20  llundin

	* [r77444] Use IRPLIB_STRINGIFY instead of NACO_STRINGIFY

2008-02-11 12:02  llundin

	* [r77440] Use IRPLIB_STDSTAR_LIMIT, IRPLIB_STDSTAR_MAXDIST.
	  naco_util_img_std_cat_check(): Drop.
	  naco_util_img_std_cat_fill_one(): Fail on empty table

2008-02-11 11:19  llundin

	* [r77436] Drop irplib_std

2008-02-11 10:10  llundin

	* [r77431] Drop

2008-02-11 08:34  llundin

	* [r77425] Renamed recipes/naco_util_stdstars.c to
	  recipes/naco_util_img_std_cat.c, renamed NACO_IMG_STDSTARS_ASCII
	  to NACO_IMG_STD_ASCII, "IMG_STDSTARS_ASCII" -> "IMG_STD_ASCII"

2008-02-11 08:25  llundin

	* [r77424] Added

2008-02-11 08:10  llundin

	* [r77423] Drop irplib_std.h, use catalog with single extension

2008-02-11 08:08  llundin

	* [r77422] Process most important first

2008-02-08 16:02  llundin

	* [r77397] Dropped .txt. Renamed Isaac to Naco

2008-02-08 14:59  llundin

	* [r77385] NACO_IMG_STD_CAT now required by naco_img_zpoint

2008-02-08 12:14  llundin

	* [r77369] naco_util_stdstars recipe added

2008-02-08 10:08  llundin

	* [r77353] <recipe>(): Fixed doxygen param order

2008-02-08 10:08  llundin

	* [r77352] typo

2008-02-08 09:47  llundin

	* [r77351] Copied from isaacp

2008-01-22 13:59  llundin

	* [r76421] Changes up to 2008-01-22

2008-01-16 15:10  llundin

	* [r76167] naco_img_lingain_fill_parameterlist(): Added to modify
	  default ref_level. IRPLIB_RECIPE_DEFINE(): Call
	  naco_img_lingain_fill_parameterlist()

2007-11-19 17:41  lbilbao

	* [r74182] Name of function to fill in parameters' default values
	  changed.

2007-11-14 15:33  llundin

	* [r73913] Added recipe naco_img_lingain

2007-11-14 15:33  llundin

	* [r73912] main(): Use irplib_test

2007-11-13 22:33  llundin

	* [r73820] main(): Add PACKAGE_BUGREPORT to call of cpl_test_init()

2007-10-29 15:06  llundin

	* [r73144] Copied from iiinstrumentp/m4macros/purify.m4: Remove
	  warning if purify not enable. Print just "disable" message
	  instead.

2007-10-29 09:41  llundin

	* [r73105] Dropped config.sub config.guess ltmain.sh (related to
	  autoreconf use in bootstrap

2007-10-26 14:16  cguirao

	* [r73039] NRI compliant

2007-09-26 10:44  llundin

	* [r71230] Add AC_CHECK_DECLS(isnan)

2007-09-21 14:01  llundin

	* [r71103] Drop checks for cosf/sinf

2007-09-20 13:43  llundin

	* [r71083] use cpl_test when there

2007-09-20 13:27  llundin

	* [r71082] naco/tests/: Added place-holder for unit tests

2007-09-18 15:44  llundin

	* [r71009] Added AC_CHECK_FUNCS for sinf cosf

2007-09-14 14:30  llundin

	* [r70840] Use IRPLIB_MATH constants

2007-09-10 06:38  llundin

	* [r70491] Readd -fno-common

2007-09-06 12:20  llundin

	* [r70355] Drop -fno-common (Mac OS X)

2007-09-06 12:18  llundin

	* [r70354] Changes up to 3.7.0

2007-08-23 08:58  llundin

	* [r69476] Fixed top_srcdir -> top_builddir in order to support
	  VPATH build

2007-08-22 12:01  llundin

	* [r69408] irplib_std.{c,h} and irplib_irlist.h moved from irplib
	  to naco

2007-08-09 09:11  llundin

	* [r68852] 3.7.0

2007-08-08 09:29  llundin

	* [r68737] irplib_pfits_set_airmass(): Fixed (false) uninit warning

2007-08-08 09:26  llundin

	* [r68735] Declared cleanstate locally. CPL_DFS_{FITS,PAF} replaces
	  IRPLIB_DFS_{FITS,PAF}, RECIPE_STRING replaces recipename

2007-08-08 09:23  llundin

	* [r68734] Removed unneeded include of irplib_dfs.h

2007-08-08 09:23  llundin

	* [r68733] moved ./tests to recipes/tests

2007-08-08 07:38  llundin

	* [r68719] Moved ./tests to recipes/tests

2007-08-08 06:54  llundin

	* [r68718] Moved ./tests to recipes/tests

2007-08-08 06:38  llundin

	* [r68714] Moved from ../../tests

2007-08-08 06:37  llundin

	* [r68713] moved to recipes/tests

2007-08-08 06:34  llundin

	* [r68709] 3.7.0rc1

2007-08-08 06:28  llundin

	* [r68708] Use CPL 4.0: cpl_errorstate, cpl_dfs_save_*(), etc.

2007-08-02 12:32  llundin

	* [r68482] Use CPL 4.0 (cpl_errorstate, cpl_dfs_save_*(), etc.

2007-07-27 20:08  llundin

	* [r68276] Fixed type-inconsistency with
	  cpl_fit_imagelist_polynomial()

2007-07-26 03:53  llundin

	* [r68109] naco_imagelist_fit_polynomial(): Copied from CPL 3.1

2007-07-25 08:41  llundin

	* [r68024] Check calls of cpl_vector_get_median(). Resolve const
	  warnings on accessor functions

2007-07-18 15:07  llundin

	* [r67590] cpl_init(): Redeclared to take a parameter,
	  CPL_INIT_DEFAULT

2007-06-28 08:01  llundin

	* [r66467] DBL_MAX replaces CPL_PIXEL_MAXVAL. -FLT_MAX replaces
	  CPL_PIXEL_MINVAL

2007-05-29 10:50  llundin

	* [r64643] odd-even correction: No effect. #define
	  cpl_propertylist_contains cpl_propertylist_has

2007-05-23 12:52  llundin

	* [r64413] Check for isnan, isinf

2007-05-15 13:06  llundin

	* [r63956] Removed recipename

2007-05-04 06:47  llundin

	* [r63200] naco_img_detlin(): Remove unneeded block

2007-05-04 06:45  llundin

	* [r63199] naco_img_detlin(): Fix residual alloc warning/bug

2007-05-03 08:01  llundin

	* [r63130] naco_img_detlin(): Use cpl_fit_imagelist_polynomial()
	  when defined

2007-05-03 06:47  llundin

	* [r63129] Do not use naco_wavelength.{c,h}

2007-04-20 12:36  llundin

	* [r62576] Removed check for __func__

2007-04-20 12:30  llundin

	* [r62575] CFLAGS: std=c99 pedantic fno-common fstrict-aliasing

2007-04-17 09:36  llundin

	* [r62401] naco_img_zpoint_find_mag(): Use that other band

2007-03-26 09:49  llundin

	* [r61568] 3.6.2

2007-03-26 09:48  llundin

	* [r61563] Fixed invalid regexp in NACO_PFITS_REGEXP_ZPOINT_REF
	  (found on MacOS)

2007-03-26 08:08  llundin

	* [r61554] copied from VISIR

2007-03-16 09:22  llundin

	* [r61196] 3.6.1

2007-03-14 17:03  llundin

	* [r61110] include string.h

2007-03-14 15:10  llundin

	* [r61102] naco_get_bbfilter(): Moved to static in
	  naco_img_zpoint.c

2007-03-14 15:10  llundin

	* [r61101] naco_img_zpoint_find_mag(): Use filter,
	  naco_img_zpoint_find_std_star() and naco_get_bbfilter(), for
	  [LM]{prime,} use [LM]{,prime} as alternate. naco_get_bbfilter():
	  Map Lprime to Lprime, ditto to M, use CPL error codes

2007-03-14 08:27  llundin

	* [r61082] include string.h

2007-03-13 23:23  llundin

	* [r61075] naco_parameter_set(): Fixed doxygen warning

2007-03-01 13:44  llundin

	* [r60380] 3.6.0

2007-01-18 12:29  llundin

	* [r58893] naco_img_jitter_qc_apertures(): Added work-around for
	  DFS03162 (pre CPL-3.1)

2007-01-18 10:51  llundin

	* [r58888] naco_img_checkfocus(): Compute Strehl ratio at optimal
	  focus

2007-01-18 10:26  llundin

	* [r58887] naco_img_checkfocus(): Verify that optimal focus is
	  well-defined - including check that c2 is actually negative

2007-01-18 10:10  llundin

	* [r58886] naco_img_checkfocus(): Verify that optimal focus is
	  well-defined

2007-01-12 15:21  llundin

	* [r58655] 3.6.0a

2007-01-05 14:30  llundin

	* [r58375] Added NACO_CALIB_DARK to man-page

2006-11-29 16:34  llundin

	* [r57418] Redeclared --slit_width to int

2006-11-29 14:39  llundin

	* [r57407] naco_img_slitpos(): Dummy adapt to new API of
	  irplib_slitpos_analysis() with slit-flux

2006-11-27 15:34  llundin

	* [r57324] naco_<recipe>_save(): Use CPL_BPP_8_UNSIGNED for maps

2006-11-27 09:00  llundin

	* [r57266] <recipe>_save(): Use new API for
	  irplib_{image,table,paf}_save()

2006-11-23 08:05  llundin

	* [r57196] Added IRPLIB unit tests

2006-11-22 15:35  llundin

	* [r57178] naco_img_*_save(): Create basename locally

2006-11-22 12:12  llundin

	* [r57152] Added flip-comment to documentation

2006-11-20 17:20  llundin

	* [r57074] naco_parameterlist_get_int(): Fix minor casting bug.
	  Improve comments, Use DBL_MAX for double uninit fix

2006-11-20 16:40  llundin

	* [r57069] irplib_vsnprintf_create(): Renamed to irplib_vsprintf().
	  irplib_string_concatenate_all(): Renamed to irplib_sprintf()

2006-11-20 15:29  llundin

	* [r57065] Fixed splint warnings

2006-11-20 15:27  llundin

	* [r57064] Drop round-down in call to irplib_strehl_compute()

2006-11-15 08:29  llundin

	* [r56882] Fix implicit casting warnings from splint

2006-11-15 08:26  llundin

	* [r56880] irplib_pfits_get_*_macro(): line as unsigned

2006-11-15 08:25  llundin

	* [r56879] naco_get_disprel_estimate(): Cast int -> size_t

2006-11-15 08:24  llundin

	* [r56878] naco_parameterlist_get_double(): Fixed typo (on return
	  error-value)

2006-11-14 12:11  llundin

	* [r56843] Fixed splint warnings. Added checks on --sx and --sy

2006-11-14 12:03  llundin

	* [r56841] naco_img_jitter_saa(): Fixed uninit warning

2006-11-14 10:12  llundin

	* [r56833] Fixed uninit warnings, Use bug_if()

2006-11-14 10:10  llundin

	* [r56832] naco_img_zpoint_reduce(): Fixed uninit warning

2006-11-14 10:07  llundin

	* [r56830] naco_img_lampflat_reduce(): Fixed uninit warning

2006-11-14 09:58  llundin

	* [r56829] naco_spectro_compute_disprel(): Removed LaTeX macros
	  from comments

2006-11-10 15:07  llundin

	* [r56731] DETLIN_MAX_GRAD, DETLIN_MAX_RESI. ditval is a
	  cpl_vector, naco_img_detlin_dit_diff(). naco_img_detlin_bpm():
	  BPM is int, Rearrange loops, avoid division, move constant
	  expressions out

2006-11-09 13:23  llundin

	* [r56699] naco_img_detlin_save(): Redeclared, use
	  irplib_image_save()

2006-11-09 13:22  llundin

	* [r56698] naco_img_detlin: Added REGEXPs

2006-11-08 14:47  llundin

	* [r56676] Fixed typo

2006-11-08 14:44  llundin

	* [r56674] Added naco_img_detlin

2006-11-08 14:44  llundin

	* [r56673] Recommit of rev. 1.22 with changes of 1.24 and 1.25

2006-11-08 13:23  llundin

	* [r56657] Send relinking warning to stdout

2006-11-07 12:42  llundin

	* [r56600] Added docygen defgroup

2006-11-07 12:41  llundin

	* [r56599] naco_parameter_get_*(): Removed uninit warning

2006-11-03 15:24  llundin

	* [r56532] Added defgroup

2006-10-31 15:36  llundin

	* [r56440] Early detection of no DIT-range. Better error msg on
	  missing data for limit image

2006-10-31 12:04  llundin

	* [r56417] spectro_compute_disprel() renamed to
	  naco_spectro_compute_disprel()

2006-10-29 11:53  llundin

	* [r56367] bash -> sh. exec

2006-10-27 07:22  llundin

	* [r56314] Reformat long lines

2006-10-27 07:22  llundin

	* [r56313] Use HAVE_CONFIG_H

2006-10-27 07:22  llundin

	* [r56312] ISAAC -> NACO

2006-10-27 07:20  llundin

	* [r56309] endskip: Removed cpl_msg_get_level()

2006-10-25 16:00  llundin

	* [r56230] LIBIRPLIB - statically linked

2006-10-17 07:17  llundin

	* [r55912] Replaced index() with strchr()

2006-10-17 06:48  llundin

	* [r55908] naco_img_slitpos(): Angle correction centered on 0

2006-10-17 05:31  llundin

	* [r55905] naco_img_slitpos(): Drop guard on angle correction

2006-10-16 14:35  llundin

	* [r55902] Removed static struct. atan() -> atan2(). Fix bug on
	  negative round-off error for angle

2006-10-16 14:08  llundin

	* [r55901] Clean-up define of naco_pipe_id

2006-10-16 14:07  llundin

	* [r55900] #define naco_pipe_id (to avoid unused warning)

2006-10-16 14:05  llundin

	* [r55898] skip_if_it(): Catch pre-error

2006-10-12 15:08  llundin

	* [r55834] Fixed long lines

2006-10-11 12:40  llundin

	* [r55775] Removed unused naco_pipe_id

2006-10-11 07:49  llundin

	* [r55758] Moved declaration of naco_img_jitter_fill_parameterlist

2006-10-10 14:33  llundin

	* [r55729] IRPLIB_RECIPE_DEFINE(): Redefined to require trailing ;
	  when invoked

2006-10-10 14:29  llundin

	* [r55727] Removed definition of irplib_assert()

2006-10-05 15:16  llundin

	* [r55581] Added PACKAGE_BUGREPORT to IRPLIB_RECIPE_DEFINE()

2006-10-05 15:09  llundin

	* [r55580] NACO_PFITS_REGEXP_JITTER_FIRST,
	  NACO_PFITS_REGEXP_JITTER_ALL, removed naco_property_regexp

2006-10-05 14:07  llundin

	* [r55577] naco_img_jitter_qc_apertures(): Use
	  cpl_vector_get_median() for all vector sizes

2006-10-05 13:25  llundin

	* [r55575] Added naco_img_jitter_qc_apertures(), use
	  NACO_PFITS_REGEXP_JITTER_COPY. naco_img_jitter_save(): Use
	  irplib_image_save() + irplib_paf_save()

2006-10-05 13:21  llundin

	* [r55573] Added NACO_PFITS_REGEXP_JITTER_COPY

2006-10-05 13:21  llundin

	* [r55572] Added IRPLIB_PFITS_WCS_REGEXP

2006-10-04 14:43  llundin

	* [r55527] naco_img_jitter_fill_parameterlist(): Use
	  irplib_parameterlist_set_{string,bool}(). naco_img_jitter() &
	  naco_img_jitter_reduce() & naco_img_jitter_saa() &
	  naco_img_jitter_qc(): Use irplib_framelist + skip_if().
	  naco_img_jitter_save(): Use NACO_PFITS_REGEXP_JITTER_PAF

2006-10-04 14:36  llundin

	* [r55526] Added NACO_PFITS_REGEXP_JITTER and
	  NACO_PFITS_REGEXP_JITTER_PAF

2006-10-04 14:34  llundin

	* [r55525] naco_parameterlist_get_{string,bool,int,double}(): Use
	  irplib_parameterlist_get_{string,bool,int,double}()

2006-10-02 09:18  llundin

	* [r55440] Appended Missing //@}

2006-09-30 07:35  llundin

	* [r55393] Fixed visir -> naco

2006-09-29 15:37  llundin

	* [r55388] naco_img_jitter_fill_parameterlist(): Redeclared

2006-09-29 15:31  llundin

	* [r55387] Added naco_img_slitpos_qc()

2006-09-29 15:12  llundin

	* [r55386] Added naco_img_twflat_qc()

2006-09-29 15:11  llundin

	* [r55385] Added naco_img_checkfocus_qc()

2006-09-29 12:14  llundin

	* [r55369] irplib_pfits_set_airmass(): Added comment

2006-09-29 12:13  llundin

	* [r55368] Added _qc() function

2006-09-29 12:11  llundin

	* [r55367] set ESO QC AIRMASS = AIRMASS

2006-09-29 08:45  llundin

	* [r55348] Modified from uvesp/doxygen/Doxyfile.in

2006-09-29 08:28  llundin

	* [r55346] Use irplib_pfits_set_airmass()

2006-09-29 08:27  llundin

	* [r55344] Added irplib_pfits_set_airmass()

2006-09-26 10:57  llundin

	* [r55234] naco_img_zpoint_reduce(): Added BGD, FWHMX and FWHMY
	  (DFS02627)

2006-09-26 09:23  llundin

	* [r55231] naco_img_zpoint_reduce_one(): Modify table and vector

2006-09-26 08:31  llundin

	* [r55229] Added QC.SPECTYPE & QC.STARMAG (DFS02626)

2006-09-26 08:12  llundin

	* [r55228] naco_img_zpoint_find_mag(): Use accessors for
	  irplib_irstd

2006-09-25 15:12  llundin

	* [r55221] Removed outputs from config struct. Require at least 3
	  raw frames. Fail on missing (positive) zero points

2006-09-25 11:47  llundin

	* [r55213] skip on missing offsets in header

2006-09-25 08:53  llundin

	* [r55207] Dropped naco_img_zpoint_get_offsets()

2006-09-25 08:03  llundin

	* [r55206] naco_img_zpoint(): Use irplib_framelist_empty()

2006-09-23 07:33  llundin

	* [r55203] use double in centroid expression

2006-09-23 07:22  llundin

	* [r55202] Added some const modifiers

2006-09-22 15:24  llundin

	* [r55197] Dropped imagelists

2006-09-22 13:00  llundin

	* [r55184] naco_img_zpoint_check_im(): Fixed out-of-range bug

2006-09-22 12:04  llundin

	* [r55181] naco_img_zpoint_reduce(): Merge
	  naco_img_zpoint_check_im() into main diffs loop

2006-09-22 10:47  llundin

	* [r55172] naco_img_zpoint_reduce(): Merge several diffs loops

2006-09-22 09:13  llundin

	* [r55162] naco_img_zpoint_qc_all()

2006-09-22 08:57  llundin

	* [r55157] naco_img_zpoint_qc() added

2006-09-22 07:35  llundin

	* [r55151] Use irplib_framelist, NACO_PFITS_REGEXP_ZPOINT

2006-09-22 07:33  llundin

	* [r55149] naco_get_bbfilter(): Added const

2006-09-21 09:31  llundin

	* [r55117] IRPLIB_RECIPE_DEFINE()

2006-09-21 09:25  llundin

	* [r55114] IRPLIB_RECIPE_DEFINE()

2006-09-21 07:21  llundin

	* [r55109] IRPLIB_RECIPE_DEFINE()

2006-09-20 08:04  llundin

	* [r55044] Use ESO_FUNC_VA_COPY()

2006-09-20 07:55  llundin

	* [r55042] naco_img_dark_reduce(): Fix ron_key warning

2006-09-20 07:25  llundin

	* [r55036] Removed check for va_copy

2006-09-19 11:04  llundin

	* [r55002] Removed CPL 2.1 compatibility

2006-09-19 11:03  llundin

	* [r55001] Added AC_CHECK_DECLS of va_copy

2006-09-13 07:57  llundin

	* [r54826] Reverted to r. 1.18

2006-09-12 14:56  llundin

	* [r54815] Removed check for __func__

2006-09-12 09:21  llundin

	* [r54791] Replaced __func__ by cpl_func

2006-09-11 13:45  llundin

	* [r54765] Replaced "" regexp with "." (darwin)

2006-09-11 13:45  llundin

	* [r54764] Used bootstrap from qfits

2006-09-06 11:08  llundin

	* [r54600] 3.5..0

2006-09-06 11:08  llundin

	* [r54599] cpl_bivector_load() -> cpl_bivector_read()

2006-07-25 11:23  llundin

	* [r53345] Dropped argv/argc

2006-07-25 11:13  llundin

	* [r53344] irplib_plugin_test(): Include CPL msg_level preservation

2006-07-25 09:29  llundin

	* [r53340] Use sizeof(tags), save msg level

2006-07-25 09:29  llundin

	* [r53339] irplib_plugin_test(): size_t (Copied from visirp)

2006-07-21 15:16  llundin

	* [r53275] Replaced strcpy(), sprintf, snprintf() - mostly with
	  irplib_string_concatenate_all()

2006-07-20 11:45  llundin

	* [r53248] irplib_framelist_load_propertylist{,_all}(): Added
	  invert flag

2006-07-20 11:18  llundin

	* [r53245] irplib_framelist_extract_regexp(): Added invert flag

2006-07-20 10:47  llundin

	* [r53243] Copied from visirp

2006-07-20 10:40  llundin

	* [r53241] Use irplib_framelist_get_const() and
	  irplib_framelist_get_propertylist_const()

2006-07-20 10:39  llundin

	* [r53240] Removed

2006-07-20 09:07  llundin

	* [r53235] Moved irplib_framelist module to irplib

2006-07-20 09:05  llundin

	* [r53234] isaac_get_disprel_estimate() ->
	  naco_get_disprel_estimate()

2006-07-20 08:37  llundin

	* [r53232] Copied from visirp

2006-07-19 14:17  llundin

	* [r53220] naco_{image,table}_save(): Removed

2006-07-19 14:17  llundin

	* [r53219] Replaced naco_{image,table}_save() with
	  irplib_{image,table}_save()

2006-07-19 14:16  llundin

	* [r53218] Increased search window to 512 x 512. Replaced
	  naco_image_save() with irplib_image_save()

2006-07-19 14:15  llundin

	* [r53217] Increased search window to 512 x 512

2006-07-19 14:14  llundin

	* [r53216] Add naco_pipe_id

2006-06-21 13:55  llundin

	* [r52531] naco_img_jitter_save(): Use irplib_paf_save()

2006-06-02 07:51  llundin

	* [r52139] Fixed irplib_error inclusion

2006-06-01 07:06  llundin

	* [r52074] Added in IRPLIB: irplib_{image,table,paf}_save()

2006-05-30 11:08  llundin

	* [r51979] Copied from VISIR

2006-05-30 08:52  llundin

	* [r51966] Moved to irplib

2006-05-24 06:39  llundin

	* [r51856] #ifdef for CPL 3.0

2006-05-23 11:14  llundin

	* [r51850] irplib_assure_code() +
	  irplib_propertylist_erase_regexp(): hide API change

2006-03-14 07:32  llundin

	* [r49508] irplib_table_save(): Revert to extension .fits

2006-03-14 07:31  llundin

	* [r49507] Improved comment

2006-03-14 07:31  llundin

	* [r49506] Name of check image corrected to RECIPE_STRING "_check"

2006-03-13 07:53  llundin

	* [r49454] Improved comment

2006-03-13 07:21  llundin

	* [r49450] irplib_table_save(): visir-tfits work-around (bis)

2006-03-10 08:30  llundin

	* [r49365] 3.4.0 alpha -> 3.4.0

2006-03-10 08:29  llundin

	* [r49364] Removed naco_img_detlin from make check

2006-03-10 08:22  llundin

	* [r49363] Sort also on DIT and detector mode. Darks not sorted
	  after filter name

2006-03-10 08:21  llundin

	* [r49362] Add keys for naco_img_twflat

2006-03-10 08:21  llundin

	* [r49361] define naco_get_license() for naco_img_detlin

2006-03-10 08:20  llundin

	* [r49360] Revert to 1.15 due to missing test data

2006-03-10 08:19  llundin

	* [r49359] Use irplib_framelist. Reduce memory usage (imagelist)

2006-03-07 16:03  llundin

	* [r49197] Removed compiler warnings

2006-03-07 16:02  llundin

	* [r49196] Removed compiler warnings. irplib_table_save():
	  visir-tfits work-around

2006-03-07 10:12  llundin

	* [r49166] ron_keylen = 80

2006-03-07 09:32  llundin

	* [r49162] Group CAL_DARK as calib

2006-03-07 07:34  llundin

	* [r49152] naco_{image,table}_save(), naco_img_twflat: Do not group
	  darks on filter

2006-03-03 13:24  llundin

	* [r49057] Comment: NACO Pipeline -> irplib package

2006-03-03 13:21  llundin

	* [r49056] irplib_recipe_create(): Do not fill parameterlist on
	  error

2006-03-03 10:29  llundin

	* [r49035] Copied irplib_assert(), irplib_check() and
	  irplib_Assure()

2006-03-03 10:29  llundin

	* [r49034] include irplib_tools.h

2006-03-03 10:28  llundin

	* [r49033] irplib_assure_code() -> cpl_assure_code()

2006-03-03 10:27  llundin

	* [r49032] Moved include irplib_error up

2006-03-03 09:51  llundin

	* [r49031] irplib_error_recover(). Moved skip_if(), skip_if_lt()
	  and end_skip to irplib_tools.h

2006-03-03 09:50  llundin

	* [r49030] NACO_PRODUCT_MAX_NAMELEN -> NACO_PARAM_MAX_NAMELEN

2006-03-03 09:11  llundin

	* [r49026] _save(): Add flat to product PRO REC1

2006-03-03 09:08  llundin

	* [r49025] bug_if()

2006-03-02 16:28  llundin

	* [r49003] 1st fix for use of flat

2006-03-02 15:45  llundin

	* [r48998] Use irplib_*_save()

2006-03-02 15:04  llundin

	* [r48992] Defined NACO_PFITS_REGEXP_ZPOINT_PAF
	  NACO_PFITS_REGEXP_ZPOINT_REF NACO_PFITS_REGEXP_ZPOINT

2006-03-02 14:44  llundin

	* [r48989] Moved zpoint options to naco_parameter. Created
	  naco/irplib_tools.h. Changed default STREHL_BACKGROUND_R1 from
	  2.1 to 2.0

2006-03-02 12:57  llundin

	* [r48981] Removed unused naco_get_license().
	  naco_get_filter_infos(): Set CPL error code

2006-03-02 12:56  llundin

	* [r48980] irplib_framelist_load_propertylist_all() just framepair.
	  irplib_image_save(), irplib_paf_save()

2006-03-02 11:50  llundin

	* [r48976] irplib_table_save(): .fits -> .tfits

2006-03-02 11:13  llundin

	* [r48975] Added irplib_framelist_empty(). irplib_framelist_set():
	  Do not duplicate frame. Use irplib_assert(). Disallow CPL error
	  on call of creators

2006-03-02 10:29  llundin

	* [r48966] naco_img_slitpos_save(): Use proper list of (a single)
	  rawframe and irplib_table_save()

2006-03-02 10:28  llundin

	* [r48965] Added NACO_PFITS_REGEXP_STREHL
	  NACO_PFITS_REGEXP_STREHL_PAF NACO_PFITS_REGEXP_SLITPOS
	  NACO_PFITS_REGEXP_SLITPOS_PAF

2006-03-02 10:28  llundin

	* [r48964] irplib_table_save(): Remove IRPLIB_DFS_ERASE_WCS_REGEXP
	  from header

2006-03-01 11:59  llundin

	* [r48872] Set error code on dummy frame set

2006-03-01 10:48  llundin

	* [r48859] irplib_*_save(): Use irplib_dfs_get_filename()

2006-03-01 08:24  llundin

	* [r48828] irplib_*_save(): appbase -> basename

2006-02-28 22:34  llundin

	* [r48825] Removed irplib_frameset_copy(). irplib_*_save(): va_list

2006-02-28 09:07  llundin

	* [r48761] For each setting the number of darks must make sense

2006-02-28 08:34  llundin

	* [r48760] naco_error_reset(): Add MSG_CALL

2006-02-28 08:34  llundin

	* [r48759] naco_img_twflat_make_tag(). irplib_framelist_extract()

2006-02-28 08:33  llundin

	* [r48758] irplib_framelist_extract(): cpl_msg_error() ->
	  irplib_Assure(). irplib_frameset_copy()

2006-02-28 08:32  llundin

	* [r48757] Added NACO_PFITS_REGEXP_TWFLAT,
	  NACO_PFITS_REGEXP_TWFLAT_DARK

2006-02-27 22:12  llundin

	* [r48754] irplib_framelist_set_tag_all()

2006-02-27 10:45  llundin

	* [r48699] naco_parameterlist_get_*()

2006-02-27 10:31  llundin

	* [r48697] _create(): use naco_parameter_set()

2006-02-27 10:12  llundin

	* [r48693] naco_parameter_get_*(): Removed

2006-02-27 08:53  llundin

	* [r48692] naco_img_checkfocus_config -> qclist

2006-02-27 08:51  llundin

	* [r48689] NACO_PFITS_REGEXP_CHECKFOCUS,
	  NACO_PFITS_REGEXP_CHECKFOCUS_PAF

2006-02-27 08:50  llundin

	* [r48687] irplib_{image,table}_save(): IRPLIB_DFS_ERASE_REGEXP

2006-02-24 15:49  llundin

	* [r48653] _reduce(): Use irplib_framelist_propertylist

2006-02-24 15:35  llundin

	* [r48651] irplib_framelist. irplib_paf_save()

2006-02-23 13:35  llundin

	* [r48592] DFS 2697

2006-02-23 11:50  llundin

	* [r48589] _save(): Better snprintf() arguments. _reduce(): Always
	  *pavg = cpl_image_duplicate(dark)

2006-02-23 10:35  llundin

	* [r48569] Added NACO_PFITS_REGEXP_DARK_PAF, Updated
	  NACO_PFITS_REGEXP_DARK

2006-02-23 10:35  llundin

	* [r48568] Added IRPLIB_PFITS_STRING_DPR_*, Updated
	  IRPLIB_PFITS_REGEXP_PAF

2006-02-22 14:36  llundin

	* [r48520] Remove dead code, naco_img_dark_*_reduce()

2006-02-22 13:33  llundin

	* [r48507] naco_img_dark_reduce()

2006-02-22 07:45  llundin

	* [r48464] naco_img_dark(): Use qclist, NACO_PFITS_REGEXP_DARK_PAF.
	  naco_img_dark_save(): irplib_*_save()

2006-02-21 15:55  llundin

	* [r48453] DFS 2697

2006-02-21 14:37  llundin

	* [r48439] qclist

2006-02-21 13:26  llundin

	* [r48427] main() -> main(void)

2006-02-21 12:54  llundin

	* [r48426] Use NACO_PFITS_REGEXP_LAMPFLAT_PAF

2006-02-21 12:52  llundin

	* [r48425] Added NACO_PFITS_REGEXP_LAMPFLAT_PAF, use
	  IRPLIB_PFITS_REGEXP_PAF

2006-02-21 12:50  llundin

	* [r48423] Added IRPLIB_PFITS_REGEXP_DPR IRPLIB_PFITS_REGEXP_PAF

2006-02-21 12:50  llundin

	* [r48422] irplib_framelist_load_propertylist_all(): Skip existing
	  lists

2006-02-21 12:48  llundin

	* [r48420] Erase P/GCOUNT from primary header

2006-02-21 11:26  llundin

	* [r48405] irplib_paf_save(): Added INSTRUME.
	  NACO_PFITS_REGEXP_LAMPFLAT

2006-02-21 11:03  llundin

	* [r48401] naco_img_lampflat_reduce(): Work on only two images at a
	  time

2006-02-21 07:31  llundin

	* [r48384] std_diff[]

2006-02-21 07:28  llundin

	* [r48383] Added irplib_dfs.h

2006-02-20 17:05  llundin

	* [r48374] Use irplib_{image,table,paf}_save()

2006-02-20 17:03  llundin

	* [r48372] irplib_{image,table,paf}_save()

2006-02-20 13:10  llundin

	* [r48350] naco_img_lampflat_make_tag(). irplib_framelist

2006-02-20 12:35  llundin

	* [r48345] Added irplib_framelist_set_tag_all(). FITS_STRLEN ->
	  IRPLIB_FITS_STRLEN. #_cpl_error_code_ -> CPL error code

2006-02-20 12:30  llundin

	* [r48343] Copied from visir

2006-02-20 12:29  llundin

	* [r48341] Added IRPLIB_FITS_STRLEN

2006-02-20 12:26  llundin

	* [r48340] Added naco_error_reset()

2006-02-20 10:13  llundin

	* [r48325] DFS 2697

2006-02-14 10:58  llundin

	* [r47980] Removed ; following function definitions

2006-02-14 09:43  llundin

	* [r47973] Fixed wrong format in debug

2006-02-13 12:59  llundin

	* [r47950] Need irplib_error.h

2006-02-10 00:42  llundin

	* [r47842] Use irpbli-error

2006-02-10 00:42  llundin

	* [r47841] Removed extra #include

2006-02-09 23:54  llundin

	* [r47840] Removed extra #include

2006-02-09 23:52  llundin

	* [r47839] naco_recipe.h

2006-02-09 19:36  llundin

	* [r47837] IRPLIB_NO_CREATE

2006-02-09 19:35  llundin

	* [r47836] naco_recipe.h (_NO_CREATE)

2006-02-09 19:19  llundin

	* [r47835] Removed unused variable

2006-02-09 19:19  llundin

	* [r47834] removed ident in func-decl

2006-02-09 19:17  llundin

	* [r47833] Added NACO_PARAM_SLIT_W (slitpos)

2006-02-09 19:16  llundin

	* [r47832] naco_recipe.h

2006-02-09 18:26  llundin

	* [r47823] naco_recipe.h

2006-02-09 18:24  llundin

	* [r47822] Added --force (for detlin)

2006-02-09 18:21  llundin

	* [r47821] naco_recipe.h

2006-02-09 17:39  llundin

	* [r47819] msg sigma level

2006-02-09 00:57  llundin

	* [r47774] Use naco_recipe.h. Check for NACO_IMG_LAMPFLAT_RAW

2006-02-08 22:44  llundin

	* [r47773] naco_frameset_set_tag(): takes function pointer with 3
	  args

2006-02-08 22:39  llundin

	* [r47772] Fixed msg-bug

2006-02-08 19:54  llundin

	* [r47767] irplib_plugin_test(): Moved call to
	  cpl_plugin_get_info() out

2006-02-08 19:31  llundin

	* [r47766] Added some tags

2006-02-08 19:30  llundin

	* [r47765] Temporarily added some irplib modules

2006-02-07 14:55  llundin

	* [r47685] irlib_error_dump() takes two arguments

2006-02-07 14:52  llundin

	* [r47684] Moved in from irplib

2006-02-07 02:53  llundin

	* [r47597] regexp for img_dark

2006-02-07 01:29  llundin

	* [r47595] irplib_framelist

2006-02-06 23:45  llundin

	* [r47590] Load each imageset just once. jump-error-checks

2006-02-06 22:06  llundin

	* [r47588] naco_recipe.h. naco_img_dark_make_tag().
	  naco_parameter_get_*(). irplib_frameset_extract().
	  naco_frameset_set_tag()

2006-02-06 22:04  llundin

	* [r47587] Use irplib_apertures_find_max_flux() and
	  irplib_framelist_cast()

2006-02-06 22:03  llundin

	* [r47586] naco_framelist_set_tag()

2006-02-06 22:02  llundin

	* [r47585] Added parameters for naco_img_dark

2006-02-06 16:14  llundin

	* [r47527] Use irplib_plugin_test()

2006-02-06 16:10  llundin

	* [r47524] Added irplib_plugin

2006-02-06 15:00  llundin

	* [r47492] skip_if() -> irplib_check()

2006-02-06 15:00  llundin

	* [r47491] Finalized extension with naco_recipe.h

2006-02-06 14:59  llundin

	* [r47490] 3.4.0a

2006-02-06 03:19  llundin

	* [r47460] naco_recipe

2006-02-06 03:16  llundin

	* [r47459] naco_parameter

2006-02-06 03:15  llundin

	* [r47458] Added naco_property_regexp

2006-02-06 03:15  llundin

	* [r47457] Reformatted lines

2006-01-29 23:30  llundin

	* [r46996] Improved error message

2006-01-29 23:25  llundin

	* [r46995] Added error checks. Use irplib_frameset_extract().
	  Improved messages

2006-01-29 20:20  llundin

	* [r46994] Proper check for return status of irplib_stehl_compute()

2006-01-25 14:22  yjung

	* [r46883] reset the error code if the QC cannot be computed...

2006-01-09 09:05  llundin

	* [r46099] Prevent seg-fault on frameset with no usable frames

2006-01-05 14:07  llundin

	* [r46052] Removed cpl_msg_indent_*(). Replaced fctid with __func__

2006-01-05 13:52  llundin

	* [r46051] irplib_apertures_find_max_flux(). Corrected psigmas bug.
	  Added mse. Removed indentation

2006-01-05 12:47  llundin

	* [r46043] Added error checks. Use irplib_frameset_extract().
	  Improved messages

2006-01-05 12:46  llundin

	* [r46042] skip_if_lt()

2006-01-04 19:01  llundin

	* [r46029] Added error checks. Removed unncessary arrays. Use
	  irplib_frameset_extract(). Improved messages

2006-01-04 18:45  llundin

	* [r46028] Added skip_if(), end_skip. naco_get_filter_infos():
	  const char *

2006-01-04 16:01  llundin

	* [r46012] return 0 -> return cpl_error_get_code().
	  PACKAGE_BUGREPORT, Author, cpl_plugin_get_info(): Error checks.
	  Removed uninformative comments

2006-01-04 15:59  llundin

	* [r46011] 3.3.2 alpha

2006-01-04 12:32  llundin

	* [r45989] Modified from visirp/tests/Makefile.am

2006-01-04 12:31  llundin

	* [r45988] Copied from visirp/tests/recipe_main.c

2005-12-22 15:36  llundin

	* [r45836] Removed memory leaks

2005-12-22 15:35  llundin

	* [r45835] Use irplib_assure*()

2005-12-22 15:34  llundin

	* [r45834] Removed unused functions. Use irplib pfits

2005-12-22 08:18  llundin

	* [r45813] Removed compiler warnings, space before ;, <tab>

2005-12-22 08:17  llundin

	* [r45812] popen pclose llundin

2005-12-15 12:55  yjung

	* [r45604] 3.3.0 -> 3.3.1

2005-12-15 12:54  yjung

	* [r45603] .fits -> .tfits for tables

2005-12-06 14:33  llundin

	* [r45318] Fixed DFS02446

2005-11-21 09:14  yjung

	* [r44708] do not install NACO lib

2005-10-12 13:18  yjung

	* [r43411] *** empty log message ***

2005-09-21 12:24  yjung

	* [r42669] 3.2.0 -> 3.3.0

2005-09-21 12:14  yjung

	* [r42661] rm warnings

2005-09-21 11:52  yjung

	* [r42655] update PACKEGE name and version and PRO DIC version in
	  PRO keys

2005-09-15 12:05  yjung

	* [r42442] 2 different PRO CATG for CAL and TECH in naco_img_strehl
	  (DFS02540)

2005-09-13 15:34  yjung

	* [r42364] added the check image product (DFS02531)

2005-09-13 09:04  yjung

	* [r42328] changed API of irplib_strehl_ring_background()

2005-08-23 12:33  yjung

	* [r41550] version 3.1.0 -> 3.2.0

2005-08-22 15:14  yjung

	* [r41530] upgrade the FLAT DO_CATG

2005-08-11 09:49  yjung

	* [r41217] increased the sigma to solve wrong detections that were
	  leading to bad
	  strehl values (DFS02483).

2005-08-10 16:24  yjung

	* [r41205] version 3.0.2 -> 3.1.0

2005-08-10 15:44  yjung

	* [r41200] added a product to have a header to put QC params
	  (DFS02481)

2005-08-10 14:32  yjung

	* [r41187] added PRO_CATG for zpoint recipe result

2005-08-10 14:27  yjung

	* [r41186] added a product (the input images differences to store
	  the QC params in
	  a header (DFS02481)

2005-08-10 13:57  yjung

	* [r41185] added STREHL product PRO_CATG

2005-08-08 08:54  yjung

	* [r41131] unitialise a variable

2005-08-08 08:43  yjung

	* [r41130] rawframes uninitialised

2005-08-04 10:30  yjung

	* [r41029] removed naco_spc_jitter from copmpilation

2005-08-04 09:03  yjung

	* [r41021] version 3.0.1 -> 3.0.2

2005-08-04 08:27  yjung

	* [r41017] added dark frame handling

2005-08-01 13:13  yjung

	* [r40880] *** empty log message ***

2005-08-01 13:13  yjung

	* [r40879] in priogress

2005-08-01 08:56  yjung

	* [r40867] in progress

2005-08-01 08:55  yjung

	* [r40866] added naco_wavelength

2005-08-01 08:31  yjung

	* [r40864] added naco_physicalmodel

2005-08-01 07:36  yjung

	* [r40857] used the irplib routin to detect the spectrum

2005-07-29 14:09  yjung

	* [r40828] in progress

2005-07-29 14:07  yjung

	* [r40827] added values

2005-07-29 14:02  yjung

	* [r40826] Initial revision

2005-07-29 13:37  yjung

	* [r40823] added naco_spc_jitter tags

2005-07-29 13:19  yjung

	* [r40818] added naco_spc_jitter

2005-07-08 14:54  yjung

	* [r40003] added PRO CATG to optional products intercept, bpm and
	  errmap

2005-07-04 12:41  yjung

	* [r39773] disable the env variable for input parameters

2005-06-30 16:04  yjung

	* [r39709] removbed a leak

2005-06-30 11:47  yjung

	* [r39688] removed usage of LOC_PI

2005-06-30 11:33  yjung

	* [r39677] added tags description

2005-06-21 12:39  yjung

	* [r39429] removed HIERARCH in DATANCOM

2005-06-07 09:58  yjung

	* [r38913] removed html-recursive target

2005-05-24 09:22  yjung

	* [r38438] exclude irplib_irlist.h

2005-05-24 09:12  yjung

	* [r38432] 3.0.0 -> 3.0.1

2005-05-23 10:38  yjung

	* [r38409] new way to write paf

2005-05-23 09:59  yjung

	* [r38402] new way to write pafs

2005-05-23 09:35  yjung

	* [r38400] new way to write paf files

2005-05-23 09:26  yjung

	* [r38399] new way to write paf

2005-05-23 09:03  yjung

	* [r38398] use the new way to write PAF files

2005-05-20 14:57  yjung

	* [r38326] new way to write paf files

2005-05-20 14:49  yjung

	* [r38323] new way to write PAF files

2005-05-12 14:57  yjung

	* [r38092] removed " around QC values

2005-05-12 14:03  yjung

	* [r38086] *** empty log message ***

2005-05-12 14:01  yjung

	* [r38085] correction in paf

2005-05-11 08:20  yjung

	* [r37965] added 2 params to irplib_strehl_compute()

2005-05-03 09:53  yjung

	* [r37699] last changes

2005-05-03 09:48  yjung

	* [r37698] reorganisation...

2005-05-03 09:43  yjung

	* [r37695] moved to irplib

2005-05-03 09:43  yjung

	* [r37694] removed naco_std

2005-05-03 09:41  yjung

	* [r37693] added filters info fonctions

2005-04-25 12:53  yjung

	* [r37330] removed unused include

2005-04-25 12:47  yjung

	* [r37328] functions moved to irplib_slitpos

2005-04-25 12:21  yjung

	* [r37325] moved strehl to irplib

2005-04-25 11:54  yjung

	* [r37322] moved paf_print_header() and compare_tags() to irplib

2005-04-25 11:27  yjung

	* [r37314] NACO now depends on irplib !!!!!

2005-03-23 15:07  yjung

	* [r36369] corrected bug

2005-03-23 08:51  yjung

	* [r36347] several dilation inst of one big one

2005-03-22 16:57  yjung

	* [r36340] add successive RON values and not the avg any more

2005-03-22 13:31  yjung

	* [r36324] removed a cpl_image_save() call

2005-03-21 13:08  yjung

	* [r36294] added PRO. DATANCOM and removed check if files are
	  consequtive

2005-03-09 08:41  yjung

	* [r35950] version -> 3.0.0

2005-03-02 09:38  yjung

	* [r35730] version -> 2.9.2

2005-03-02 09:12  yjung

	* [r35726] delete plist !!

2005-02-28 16:10  yjung

	* [r35630] version -> 2.9.1

2005-02-28 15:32  yjung

	* [r35620] added POL mode

2005-02-28 15:15  yjung

	* [r35616] added POL_JITTER_OBJ POL_JITTER_SKY

2005-02-28 15:12  yjung

	* [r35615] bug corrected

2005-02-28 14:50  yjung

	* [r35612] CAL_LAMP_FLAT string corrected

2005-02-28 14:47  yjung

	* [r35611] produce the slitpos results by default

2005-02-28 14:37  yjung

	* [r35609] check if airmass is found

2005-02-28 09:56  yjung

	* [r35587] exclude irlist

2005-02-28 09:42  yjung

	* [r35585] version -> 2.9.0

2005-02-21 15:54  yjung

	* [r35377] added the camera for the settings identification

2005-02-16 16:38  yjung

	* [r35215] first usable version

2005-02-16 16:09  yjung

	* [r35214] in progress

2005-02-16 11:35  yjung

	* [r35192] naco_ring_background() made public

2005-02-15 15:44  yjung

	* [r35141] in progress

2005-02-15 15:01  yjung

	* [r35108] in progress

2005-02-15 15:00  yjung

	* [r35107] inprogress

2005-02-15 14:09  yjung

	* [r35100] added irlist.h

2005-02-15 14:08  yjung

	* [r35099] std star catalog

2005-02-15 13:50  yjung

	* [r35098] inprogress

2005-02-15 13:50  yjung

	* [r35097] adding include naco_std.h

2005-02-11 17:53  yjung

	* [r34999] typo

2005-02-11 15:52  yjung

	* [r34992] in progress

2005-02-11 15:27  yjung

	* [r34990] added zpoint keys

2005-02-11 13:00  yjung

	* [r34978] new recipe

2005-02-11 13:00  yjung

	* [r34977] added zpoint

2005-02-11 12:35  yjung

	* [r34976] ok now

2005-02-11 12:23  yjung

	* [r34974] typo

2005-02-11 09:46  yjung

	* [r34957] naco_disk_flux() made public

2005-02-11 09:30  yjung

	* [r34954] forgot to de allocate

2005-02-11 08:49  yjung

	* [r34953] typo

2005-02-10 15:30  yjung

	* [r34932] added checkfocus related key

2005-02-10 14:49  yjung

	* [r34928] new recipe

2005-02-10 14:42  yjung

	* [r34927] in progress

2005-02-10 09:42  yjung

	* [r34890] in progress for the strehl

2005-02-08 17:01  yjung

	* [r34846] typo

2005-02-08 16:55  yjung

	* [r34845] added dfs_set_groups() declaration

2005-02-08 16:53  yjung

	* [r34844] update products saving

2005-02-08 16:15  yjung

	* [r34843] added naco_dfs

2005-02-08 16:02  yjung

	* [r34841] typo

2005-02-08 15:57  yjung

	* [r34839] removed warnings

2005-02-08 13:05  yjung

	* [r34828] removed QFITS CEXT

2005-02-07 16:09  yjung

	* [r34814] removed printf

2005-02-07 13:04  yjung

	* [r34810] ...

2005-02-07 10:04  yjung

	* [r34803] check correctly cpl_propertylist_load() error code

2005-02-02 08:52  yjung

	* [r34724] added naco_img_strehl

2005-02-01 17:35  yjung

	* [r34700] ok

2005-02-01 17:33  yjung

	* [r34699] ok

2005-02-01 17:23  yjung

	* [r34697] ...

2005-02-01 17:18  yjung

	* [r34696] propertulist changes

2005-02-01 16:58  yjung

	* [r34694] removed QFITS/CEXT checks

2005-02-01 16:25  yjung

	* [r34691] usable version

2005-02-01 16:16  yjung

	* [r34689] added entries for slitpos recipe

2005-02-01 14:17  yjung

	* [r34665] ..

2005-02-01 08:58  yjung

	* [r34648] typo

2005-02-01 08:57  yjung

	* [r34647] moved fitting functions to naco_utils

2005-02-01 08:56  yjung

	* [r34646] moved fitting functions from naco_img_twflat

2005-01-28 11:13  yjung

	* [r34535] removed unused function

2005-01-28 11:12  yjung

	* [r34534] use new CPL frameset load function

2005-01-28 11:09  yjung

	* [r34533] new cpl function to load framesets

2005-01-28 11:05  yjung

	* [r34532] in progress

2005-01-28 11:04  yjung

	* [r34531] CPL API change

2005-01-28 10:11  yjung

	* [r34524] *** empty log message ***

2005-01-28 09:25  yjung

	* [r34514] *** empty log message ***

2005-01-27 17:01  yjung

	* [r34503] added slitpos

2005-01-27 16:59  yjung

	* [r34502] plist pb solved

2005-01-27 16:52  yjung

	* [r34501] ok

2005-01-27 16:32  yjung

	* [r34500] seems to work

2005-01-27 14:15  yjung

	* [r34492] added twflat key

2005-01-27 13:57  yjung

	* [r34487] in progress

2005-01-26 14:36  yjung

	* [r34465] added twflat key

2005-01-26 14:36  yjung

	* [r34464] changed API of cpl_image_save()

2005-01-26 14:18  yjung

	* [r34463] changed cpl_image_save() API

2005-01-26 14:11  yjung

	* [r34462] changed imagelist_new function

2005-01-26 12:59  yjung

	* [r34453] Initial revision

2005-01-26 08:51  yjung

	* [r34428] added twflat

2005-01-25 16:48  yjung

	* [r34419] new revision

2005-01-25 15:51  yjung

	* [r34404] added lampflat entries

2005-01-25 15:38  yjung

	* [r34401] in saving products

2005-01-24 15:25  yjung

	* [r34358] api change in CPL

2005-01-24 15:04  yjung

	* [r34357] added lampflat

2005-01-24 14:43  yjung

	* [r34355] added jitter keys

2005-01-24 14:42  yjung

	* [r34354] new revision

2005-01-24 10:50  yjung

	* [r34347] added jitter

2005-01-24 10:39  yjung

	* [r34346] removed const

2005-01-24 10:39  yjung

	* [r34345] added naco_img_detlin keys

2005-01-24 10:38  yjung

	* [r34344] new recipe

2005-01-24 09:44  yjung

	* [r34342] warning

2005-01-24 09:35  yjung

	* [r34341] added naco_compare_tags()

2005-01-24 09:29  yjung

	* [r34340] comment

2005-01-21 16:37  yjung

	* [r34326] changed products

2005-01-21 10:41  yjung

	* [r34310] added naco_img_detlin

2005-01-21 09:12  yjung

	* [r34309] added a few msg

2005-01-20 14:15  yjung

	* [r34299] use naco_paf_print_header() inst of qfits_...

2005-01-20 14:15  yjung

	* [r34298] added naco_paf_print_header()

2005-01-20 12:09  yjung

	* [r34294] in progress

2005-01-19 17:09  yjung

	* [r34290] corrected errors

2005-01-19 16:07  yjung

	* [r34286] update

2005-01-18 16:04  yjung

	* [r34270] in progress

2005-01-18 15:16  yjung

	* [r34269] added dark PRO CATG

2005-01-18 15:03  yjung

	* [r34268] added naco_imagelist_load_frameset

2005-01-18 12:38  yjung

	* [r34263] in progress

2005-01-18 08:33  yjung

	* [r34252] NACO pipeline

2005-01-18 08:33  svnadmin

	* [r34251] Standard project directories initialized by cvs2svn.

